D4Science Infrastructure - Upgrade #10007

Update Mono on DataMiner
Oct 23, 2017 12:36 PM - Giancarlo Panichi

Status: Completed Start date: Oct 23, 2017
Priority: Normal Due date:
Assignee: Andrea Dell'’Amico % Done: 100%
Target version: Update Mono on DataMiner machines
Infrastructure: Development, Pre-Production,

Production
Description

We need to update mono on DataMiner to support the STELETO algorithm.

The current version is:
Mono JIT compiler version 3.2.8 (Debian 3.2.8+dfsg-4ubuntui.1)

We need to have the latest version:
Mono release 5.4.0 Stable (5.4.0.201)

http://www.mono-project.com/download/

and possibly have mono-complete package

Related issues:
Related to D4Science Infrastructure - Task #10859: Different Mono versions on... Closed Jan 10, 2018

History

#1 - Oct 23, 2017 12:51 PM - Giancarlo Panichi
The STELETO algorithm:

https://github.com/cbinding/STELETO/wiki

indicates they are using mono-complete package

#2 - Oct 23,2017 01:02 PM - Andrea Dell'Amico

Well, that wiki says that they do not know what parts of mono are needed, so they installed everything.
Did anybody try to run the steleto executable on a dev dataminer yet?

#3 - Oct 23, 2017 01:07 PM - Paolo Scarponi

We tried to run the algorithm on the proto environment and it doesn' work. Running it on our machines gave us the error reported below, which
disappeared once we updated mono to the last complete version.

Show highligthed
mono —-debug Steleto/STELETO.exe -i:mydata.csv -—o:outputFile.nt -t:data2xml.stg -f -d:","

STELETO v1.0
Convert 'mydata.csv' with template 'data2xml.stg'
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlrd.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + O0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlréd.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + O0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlrd.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + O0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlrd.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + O0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlréd.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + O0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + O0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlréd.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + O0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0
at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlré4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + O0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + O0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlré4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + O0x003bf> in <filename unknown>:0
error writing output caused by
Caused by: at STELETO.BasicFormatRenderer.ToString (System.Object o, System.String formatName, System.Global
ization.CultureInfo ci) <0x418b61b0 + 0x00017> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WritePlainObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFr
ame frame, System.Object o, System.String[] options) <0x418b5310 + 0x000bb> in <filename unknown>:0

at Antlr4.StringTemplate.Interpreter.WriteObject (ITemplateWriter out, Antlr4.StringTemplate.TemplateFrame f
rame, System.Object o, System.String[] options) <0x418b4a20 + 0x003bf> in <filename unknown>:0
3 rows converted [time taken: 00:00:00.210]
Yet Another Nopaste - version 1.2.0- GPL software - Sources available at SourceForge.net Logo - Demo"

Copyright (C) 2008 Julien BETI

#4 - Oct 23, 2017 02:18 PM - Andrea Dell'Amico

| was able to make the test case work after installing the following two packages from the 185+ required by mono-common:

libmono-http4.0-cil
libmono-system-core4.0-cil

I'm going to install them on the proto machines.

#5 - Oct 23, 2017 02:25 PM - Andrea Dell'Amico
- Status changed from New to Planned

- % Done changed from 0 to 80

The three proto dataminer have the mono packages installed. Let me know if it suffices.

#6 - Oct 23, 2017 02:40 PM - Paolo Scarponi
- Status changed from Planned to In Progress
- Assignee changed from Andrea Dell'’Amico to Daniel Williams

- % Done changed from 80 to 90

Thanks Andrea, | have run a test and it seems to be working fine now. | am going to assign the ticket to Daniel so that he can give us some feedback
as well.

#7 - Oct 23, 2017 02:49 PM - Daniel Williams
- Status changed from In Progress to Completed

- % Done changed from 90 to 100

Thank you all, | just tried the Steleto algorithm on DataMiner and it is working now.

#8 - Oct 23, 2017 03:27 PM - Andrea Dell'Amico

- Assignee changed from Daniel Williams to Andrea Dell'’Amico

| just added the two packages to the subversion list. In the next minutes they will be available everywhere.

#9 - Feb 17, 2018 01:37 PM - Andrea Dell'Amico

- Related to Task #10859: Different Mono versions on servers? added
